> For the complete documentation index, see [llms.txt](https://docs.bitsby.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bitsby.app/api-documentation/balance-change-history.md).

# Balance change history

## Request

```bash
curl -X POST https://api.bitsby.app/billing/history \
  -H "Authorization: Token MSvL2ltaDZdWVjmZURURMVWhqSJLT2NURjhL2Fla1Z1T1IxQTltKs1T3Ay"
  	-F "offset=0" \
	-F "limit=10"
```

## Request parameters

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Data type</th><th>Description</th><th>Example</th><th>Mandatory?</th><th>Default</th></tr></thead><tbody><tr><td><code>offset</code></td><td>Integer</td><td>Number of the initial record from which the data output will begin</td><td>0</td><td>no</td><td>0</td></tr><tr><td><code>limit</code></td><td>Integer</td><td>The number of records you want to retrieve</td><td>50</td><td>no</td><td>10</td></tr></tbody></table>

## Example answer

```json
{
    "result": "success",
    "data": {
        {
            "datetime": "2024-11-30 18:02:41",
            "event": "other",
            "target": "internal",
            "amount": "5.00",
            "comment": "welcome bonus 5"
        }
    }
}
```

## Answer parameters

<table><thead><tr><th width="272">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>datetime</code></td><td>Event date and time</td></tr><tr><td><code>event</code></td><td>Event type</td></tr><tr><td><code>target</code></td><td>Type of balance that has been changed</td></tr><tr><td><code>amount</code></td><td>Amount by which the balance was changed</td></tr><tr><td><code>comment</code></td><td>Event comment</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bitsby.app/api-documentation/balance-change-history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
